StateVarComplete.h File Reference

UpnpStateVarComplete object declararion. More...

`#include "ixml.h"`
`#include "UpnpGlobal.h"`
`#include "UpnpString.h"`
Include dependency graph for StateVarComplete.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef struct s_UpnpStateVarComplete | UpnpStateVarComplete

## Functions

UpnpStateVarComplete * | UpnpStateVarComplete_new ()
void | UpnpStateVarComplete_delete (UpnpStateVarComplete *p)
UpnpStateVarComplete * | UpnpStateVarComplete_dup (const UpnpStateVarComplete *p)
void | UpnpStateVarComplete_assign (UpnpStateVarComplete *p, const UpnpStateVarComplete *q)
int | UpnpStateVarComplete_get_ErrCode (const UpnpStateVarComplete *p)
void | UpnpStateVarComplete_set_ErrCode (UpnpStateVarComplete *p, int n)
const UpnpString * | UpnpStateVarComplete_get_CtrlUrl (const UpnpStateVarComplete *p)
const char * | UpnpStateVarComplete_get_CtrlUrl_cstr (const UpnpStateVarComplete *p)
void | UpnpStateVarComplete_set_CtrlUrl (UpnpStateVarComplete *p, const UpnpString *s)
void | UpnpStateVarComplete_strcpy_CtrlUrl (UpnpStateVarComplete *p, const char *s)
const UpnpString * | UpnpStateVarComplete_get_StateVarName (const UpnpStateVarComplete *p)
const char * | UpnpStateVarComplete_get_StateVarName_cstr (const UpnpStateVarComplete *p)
void | UpnpStateVarComplete_set_StateVarName (UpnpStateVarComplete *p, const UpnpString *s)
void | UpnpStateVarComplete_strcpy_StateVarName (UpnpStateVarComplete *p, const char *s)
const DOMString | UpnpStateVarComplete_get_CurrentVal (const UpnpStateVarComplete *p)
const char * | UpnpStateVarComplete_get_CurrentVal_cstr (const UpnpStateVarComplete *p)
void | UpnpStateVarComplete_set_CurrentVal (UpnpStateVarComplete *p, const DOMString s)

## Detailed Description

UpnpStateVarComplete object declararion.

Author
  Marcelo Roberto Jimenez

## Typedef Documentation

typedef struct s_UpnpStateVarComplete UpnpStateVarComplete

Represents the reply for the current value of a state variable in an asynchronous call.

## Function Documentation

void UpnpStateVarComplete_assign | ( | UpnpStateVarComplete * | p,
|  | const UpnpStateVarComplete * | q
| ) |  |

Assignment operator

References UpnpStateVarComplete_get_CtrlUrl(), UpnpStateVarComplete_get_CurrentVal(), UpnpStateVarComplete_get_ErrCode(), and UpnpStateVarComplete_get_StateVarName().

Referenced by UpnpStateVarComplete_dup().

void UpnpStateVarComplete_delete | ( | UpnpStateVarComplete * | p | ) |

Destructor

References ixmlFreeDOMString(), and UpnpString_delete().

Referenced by UpnpThreadDistribution().

UpnpStateVarComplete* UpnpStateVarComplete_dup | ( | const UpnpStateVarComplete * | p | ) |

Copy Constructor

References UpnpStateVarComplete_assign(), and UpnpStateVarComplete_new().

const UpnpString* UpnpStateVarComplete_get_CtrlUrl | ( | const UpnpStateVarComplete * | p | ) |

The control URL for the service.

Referenced by UpnpStateVarComplete_assign().

const DOMString UpnpStateVarComplete_get_CurrentVal | ( | const UpnpStateVarComplete * | p | ) |

The current value of the variable. This needs to be allocated by the caller. When finished with it, the SDK frees this DOMString.

Referenced by UpnpStateVarComplete_assign().

int UpnpStateVarComplete_get_ErrCode | ( | const UpnpStateVarComplete * | p | ) |

The result of the operation

Referenced by UpnpStateVarComplete_assign().

const UpnpString* UpnpStateVarComplete_get_StateVarName | ( | const UpnpStateVarComplete * | p | ) |

The name of the variable.

Referenced by UpnpStateVarComplete_assign().

UpnpStateVarComplete* UpnpStateVarComplete_new | ( |  | ) |

Constructor

References UpnpString_new().

Referenced by UpnpStateVarComplete_dup(), and UpnpThreadDistribution().